Skip to main content
GET
/
b2b
/
assets
List Assets
curl --request GET \
  --url https://nexus.kraken.com/b2b/assets \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "assets": [
      {
        "id": "BTC",
        "disabled_against": [
          "BTC"
        ],
        "decimals": 127,
        "display_decimals": 127,
        "platform_status": "enabled",
        "links": {
          "self": {
            "href": "<string>",
            "type": "<string>"
          },
          "logo": {
            "width": 32767,
            "height": 32767,
            "href": "<string>",
            "type": "<string>"
          }
        },
        "collateral_value": 123,
        "user_status": "tradable",
        "simple_trade_decimals": 127,
        "english_name": "<string>",
        "circulating_supply": "1.23",
        "circulating_supply_value": "1.23",
        "total_supply": "1.23",
        "total_supply_value": "1.23",
        "max_supply": "1.23",
        "max_supply_value": "1.23",
        "price": "1.23",
        "trending_rank": 2147483647,
        "market_cap_rank": 2147483647,
        "market_cap_value": "1.23",
        "dominance_percent": "1.23",
        "change_percent_1h": "1.23",
        "change_percent_24h": "1.23",
        "change_percent_7d": "1.23",
        "change_percent_30d": "1.23",
        "change_percent_1y": "1.23",
        "volume_value_24h": "1.23",
        "listing_date": "2023-03-13",
        "ath_value": "1.23",
        "ath_date": "2023-03-13"
      }
    ],
    "links": {
      "self": "<string>",
      "first": "<string>",
      "last": "<string>",
      "prev": "<string>",
      "next": "<string>"
    },
    "meta": {
      "total_items": 2147483647,
      "total_pages": 2147483647,
      "page_size": 1,
      "page_number": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Query Parameters

filter[user]
string

If provided, filters the list of assets to only include those that can be traded by the user with the given IIBAN.

Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42
filter[assets][]
string[]

If provided, filters the list of assets to only include those with the given asset IDs.

Maximum array length: 100
Required string length: 3 - 16
filter[platform_statuses][]
enum<string>[]

If provided, filters the list of assets to only include those with any of the given platform statuses.

The global status of an asset on the platform.

Available options:
enabled,
deposit_only,
withdrawal_only,
funding_temporarily_disabled,
disabled
filter[tradable_only]
boolean
default:false

If provided and set to true, filters the list of assets to only include those that are tradable on the platform.

This is equivalent to filter[platform_statuses][]=enabled and is provided as a convenience.

sort
enum<string>
default:market_cap_rank
Available options:
trending,
market_cap_rank,
-market_cap_rank,
symbol,
-symbol,
name,
-name,
change_percent_1h,
-change_percent_1h,
change_percent_24h,
-change_percent_24h,
change_percent_7d,
-change_percent_7d,
change_percent_30d,
-change_percent_30d,
change_percent_1y,
-change_percent_1y,
listing_date,
-listing_date
page[size]
integer<uint32>
default:1
Required range: 1 <= x <= 100
page[number]
integer<uint32>
default:1
Required range: x >= 1
quote
string
default:USD

If provided, shows values as the provided asset.

Required string length: 3 - 16
Example:

"BTC"

lang
string
default:en

RFC5646 Language Tag

Pattern: ^([a-zA-Z]{1,8})(-[a-zA-Z\d]{1,8})*$
Example:

"az-Arab-x-AZE-derbend"

Response

Response

result
object